package ch.unige.solidify.test;

import java.util.Map;

import org.json.JSONObject;

import ch.unige.solidify.process.BaseProcess;

public abstract class AssertBaseProcess extends BaseProcess {
  // Hide some attribute of Base Process

  protected JSONObject jsonBefore;

  public AssertBaseProcess(JSONObject jsonBefore) {
    this.jsonBefore = jsonBefore;
  }

  protected void migrateNodes(JSONObject object, String key, Map<String, Object> map) {
    object.remove(key);
    JSONObject newDef = new JSONObject(map);
    object.put(key, newDef);
  }
}
