package ch.unige.solidify.model;

public class AttributeObject {
  private String type;
  private String description;
  private String format;

  protected AttributeObject() {
  }

  public AttributeObject(String type) {
    this.type = type;
  }

  public AttributeObject(String type, String description) {
    this(type);
    this.description = description;
  }

  public AttributeObject(String type, String description, String format) {
    this(type, description);
    this.format = format;
  }

  public String getType() {
    return type;
  }

  public String getDescription() {
    return description;
  }

  public String getFormat() {
    return format;
  }

  public void setType(String type) {
    this.type = type;
  }

  public void setDescription(String description) {
    this.description = description;
  }

  public void setFormat(String format) {
    this.format = format;
  }

}