package ch.unige.solidify.model;

import ch.unige.solidify.process.BaseProcess;

public class ChangeInfoObject extends AttributeObject {
  private Properties properties = new Properties();

  public ChangeInfoObject() {
    super(BaseProcess.OBJECT, "The change info");
    properties.setWhen(new AttributeObject(BaseProcess.STRING, "The date of the executed event", BaseProcess.FORMAT_STRING_DATE_TIME));
    properties.setWho(new AttributeObject(BaseProcess.STRING, "The user who executed the event"));
  }

  public class Properties {
    private AttributeObject when;
    private AttributeObject who;

    public void setWhen(AttributeObject when) {
      this.when = when;
    }

    public void setWho(AttributeObject who) {
      this.who = who;
    }

    public AttributeObject getWhen() {
      return when;
    }

    public AttributeObject getWho() {
      return who;
    }

  }

  public Properties getProperties() {
    return properties;
  }

}
