package ch.unige.solidify.model;

import ch.unige.solidify.process.BaseProcess;

public class CollectionObject {
  private Properties properties = new Properties();
  private String type;

  public CollectionObject() {
    this.properties.set_page(new AttributeObject(BaseProcess.PAGE_NAME, "Gives the total pages and the total available items of one resource"));
    this.properties.set_links(new AttributeObject(BaseProcess.OBJECT, "All links available on the resource"));
    this.properties.set_data(new AttributeObject(BaseProcess.OBJECT, "List the collection of the resources"));
    this.type = BaseProcess.OBJECT;
  }

  public class Properties {
    private AttributeObject _page;
    private AttributeObject _links;
    private AttributeObject _data;

    public AttributeObject get_page() {
      return _page;
    }

    public void set_page(AttributeObject _page) {
      this._page = _page;
    }

    public AttributeObject get_links() {
      return _links;
    }

    public void set_links(AttributeObject _links) {
      this._links = _links;
    }

    public AttributeObject get_data() {
      return _data;
    }

    public void set_data(AttributeObject _data) {
      this._data = _data;
    }

  }

  public Properties getProperties() {
    return properties;
  }

  public String getType() {
    return type;
  }

}
