package ch.unige.solidify.test;

import static org.junit.jupiter.api.Assertions.assertEquals;

import org.json.JSONObject;

/**
 * Assert after execution of plugin
 */
public class AssertSchemasProcessImpl extends AssertBaseProcess {
  public AssertSchemasProcessImpl(JSONObject jsonBefore) {
    super(jsonBefore);
  }

  public void process(JSONObject jsonAfter) {
    int numberOfCollectionSchema = 1;
    int numberOfChangeInfoSchema = 1;
    int numberOfPageSchema = 1;

    int expectedNumberOfSchema = this.getSchemasNode(jsonBefore).length() + numberOfCollectionSchema
            + numberOfChangeInfoSchema + numberOfPageSchema;
    assertEquals(expectedNumberOfSchema, this.getSchemasNode(jsonAfter).length());
  }
}
